Subject: [bug#38059] [PATCH 2/2] gnu: Add pagekite.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 11 Nov 2019 15:02:32 +0100

Hi Alex,

"Alex Griffin" <[email-masked]> skribis:

> On Sun, Nov 10, 2019, at 11:22 AM, Ludovic Courtès wrote:
>> "Alex Griffin" <[email-masked]> skribis:
>> > +    (arguments
>> > +     `(#:python ,python-2
>> 
>> Can it work with Python 3.x?  It would be really great.  Perhaps there
>> are not-yet-upstreamed patches floating around for that?
>
> There are indeed some [WIP patches][1], but I couldn't get them working. I think it's likely that PageKite will get Python 3 support before Python 2 is EOL. There's a discussion [here][2] with maintainers from both Fedora and Debian expressing concern. At the moment, though, I don't think I can package it with Python 3 unless I finish porting it myself.
>
> [1]: https://github.com/pagekite/PyPagekite/pull/71
> [2]: https://github.com/pagekite/PyPagekite/issues/40

OK, sounds good.  Perhaps just add a comment referring to these two URLs
for future reference, and we’ll leave at that for now.

Thank you,
Ludo’.